@import url("https://fonts.googleapis.com/css2?family=Permanent+Marker&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Patrick+Hand&family=Permanent+Marker&display=swap");

:root {
    --primary-color: #1d2362;
}

/* ================================================== */
/* BASIC SETUP */
/* ================================================== */
*,
::before,
::after {
    box-sizing: border-box;
}

body {
    font-family: "Permanent Marker", cursive;
    color: var(--primary-color);
}

a {
    text-decoration: none;
    color: #000;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-bottom: 0;
}

p {
    margin-bottom: 0;
}

main {
    height: 100vh;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    transition: all 0.5s;
    position: relative;
}

#result-slide {
    width: auto;
    display: flex;
    text-align: center;
    flex-direction: row;
    padding: 1rem;
}

.welcome-background {
    text-align: left;
    background-image: url("/image/bg-new/question-bg.png");
    object-fit: cover;
    background-repeat: no-repeat;
    margin-top: 5rem;
    height: 32rem;
    width: 55rem;
    padding: 7rem;
}

.about-background {
    text-align: left;
    background-image: url("/image/bg-new/question-bg.png");
    object-fit: cover;
    background-repeat: no-repeat;
    margin-top: 5rem;
    height: 32rem;
    width: 55rem;
    padding: 3rem 7rem;
}

.left-side {
    text-align: left;
    background-image: url("/image/bg-new/question-bg.png");
    object-fit: cover;
    background-repeat: no-repeat;
    height: 32rem;
    padding: 2rem 7rem;
}

.left-side #resDescText,
.wording-first p {
    font-family: "Patrick Hand", cursive;
    font-size: 22px;
    width: 43rem;
}

.wording-first h2 {
    font-size: 3.5rem;
}

.wording-first img {
    width: 15rem;
    margin-top: -8rem;
}

.result-with-bg {
    /* background-image: url('/image/result-bg.png'); */
    object-fit: cover;
    background-repeat: no-repeat;
    height: auto;
    margin-top: -5rem;
    width: 23rem;
    /* border: solid 1px red; */
}

#resRateImg {
    width: 165px;
}

#resVisualImg {
    margin-top: -5rem;
    width: 25rem;
}

#resTitleText {
    font-size: 30px;
}

.prev-one {
    opacity: 0;
    cursor: none;
    pointer-events: none;
}

.prev-one-up {
    pointer-events: none;
}

.submit-btn {
    position: absolute;
    bottom: 0;
    right: 0;
    padding-bottom: 30px;
}

.body-quiz {
    background-image: url("/image/bg-new/bg-form-main.png");
    /* background-repeat: no-repeat; */
    object-fit: cover;
    width: 100%;
    height: 100vh;
}

.mySlides {
    display: none;
}

.bg-1 {
    background: url("/image/bg-statement-1.png");
}

.bg-2 {
    background: url("/image/bg-statement-2.png");
}

.divider {
    /* border: 1px solid #1D2362; */
    background-image: url("/image/bg-new/divider.png");
    background-repeat: no-repeat;
    object-fit: cover;
    width: 10px;
    z-index: 50;
    margin: 80px 36px;
}

.arrow-down {
    background-image: url("/image/bg-new/arrow-down.png");
    background-repeat: no-repeat;
    object-fit: cover;
    width: 35px;
    height: 45px;
}

.arrow-up {
    background-image: url("/image/bg-new/arrow.png");
    background-repeat: no-repeat;
    object-fit: cover;
    width: 35px;
    height: 45px;
}

.compatible-jobs {
    margin-top: 16px;
}

.result_box .desc .text h5.compatible-jobs {
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 5px;
}

.result_box .desc .text p:last-child {
    font-size: 16px;
}

/* Navbar */
.navbar .navbar-brand {
    font-size: 32px;
    font-weight: 700;
    line-height: 39px;
    letter-spacing: 0em;
    text-align: left;
    color: #fff;
}

.navbar .nav-link {
    text-decoration: underline;
    font-size: 18px;
    font-weight: 700;
    line-height: 22px;
    letter-spacing: 0em;
    text-align: right;
    color: #fff;
    text-transform: uppercase;
}

.navbar img {
    width: 200px;
    height: 56px;
}

/* Homepage */
.main-home .navbar .nav-link {
    color: #ffffff;
}

.main-home .jumbotron {
    gap: 64px;
    margin-top: 100px;
}

.main-home .hero-img {
    width: 280.47px;
    height: 456px;
}

.main-home .text {
    width: 30%;
    margin-top: 8%;
}

.main-home .text h1 {
    font-size: 64px;
    font-weight: 700;
    line-height: 77px;
    margin-bottom: 12px;
    color: #4a4a4a;
}

.main-home .text p {
    font-size: 18px;
    font-weight: 500;
    line-height: 22px;
    margin-bottom: 32px;
    color: #4a4a4a;
}

.main-home .text .btn.btn-primary {
    width: 127px;
    height: 46px;
    color: #fff;
    background: #66c7e7;
    border: none;
}

.btn-welcome {
    width: 127px;
    height: 46px;
    color: #fff;
    background: #66c7e7;
    border: none;
}

.btn-welcome:hover {
    background-color: #4ca9c8;
}

.btn-welcome a {
    color: #fff;
}
.main-home .text .btn.btn-primary:hover {
    background: #41a6c8;
    color: #fff;
}

.note-image {
    margin: -102px;
}

.resCompJobs {
    display: none;
}

/* QUIZ FORM */
.main-form {
    background-image: url("/image/bg-new/bg-form-main.png");
    background-repeat: no-repeat;
    object-fit: fill;
    width: 100%;
}

.form-background {
    position: absolute;
    background-image: url("/image/bg-new/bg-form.png");
    background-repeat: no-repeat;
    object-fit: contain;
    padding: 10rem 0rem;
    left: 0;
    right: 0;
    bottom: 0;
    margin-left: auto;
    margin-right: auto;
    height: 90%;
    width: 65rem;
}

.form_box {
    width: 70%;
    margin: 0 auto;
    font-family: "Patrick Hand", cursive;
    color: var(--primary-color);
}

.form_box h2 {
    font-size: 48px;
    font-weight: 400;
    line-height: 58px;
    font-family: "Permanent Marker", cursive;
    margin-bottom: 32px;
}

.form_box form .btn.btn-primary {
    width: 200px;
    height: 50px;
    border-radius: 4px;
    text-transform: uppercase;
    background-color: #66c7e7;
    color: #fff;
    border: none;
    font-family: "Permanent Marker", cursive;
}

.form_box form .btn.btn-primary:hover {
    background-color: #41a6c8;
    color: #fff;
}

.form_box .input-dropdown-box select {
    width: 100%;
    padding: 8px 10px;
    border-radius: 2px;
    border: 1px solid #333;
    background-color: #fff0;
    color: var(--primary-color);
}

.form_box .input-dropdown-box::placeholder {
    color: var(--primary-color);
    opacity: 0.8;
}

.form_box .form-control {
    border: 1px solid var(--primary-color);
    border-radius: 2px;
    color: #333;
    background-color: #fff0;
    padding: 12px;
}

.form-control:focus {
    color: #333;
    background-color: #fff0;
}

.form-control::placeholder {
    color: var(--primary-color);
    opacity: 0.8;
}

/* QUIZ */
.quiz-wrapper {
    /* height: 83vh; */
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 3rem;
}

.quiz_background {
    background-image: url("/image/bg-new/question-bg.png");
    object-fit: cover;
    background-repeat: no-repeat;
    left: -80px;
    right: 0;
    bottom: 0;
    top: -40px;
    margin-left: auto;
    margin-right: auto;
    width: 55rem;
    height: 32rem;
    position: absolute;
    z-index: -10;
    display: flex;
    padding: 15px;
}

.quiz_box {
    margin: 0 auto;
    width: 747px;
    height: 445px;
    background-color: #333;
    /* backdrop-filter: blur(16px); */
    padding: 40px 41px;
    display: flex;
    flex-direction: row;
    justify-content: start;
    gap: 20px;
}

.quiz_box .control {
    display: flex;
    gap: 65px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-items: center;
    color: var(--primary-color);
    margin-left: 5rem;
}

.quiz_box .control .counter {
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    color: var(--primary-color);
}

.quiz_box .control .icon-wrapper {
    font-size: 36px;
    cursor: pointer;
}

.quiz_box .content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
}

.quiz_box .content p {
    color: var(--primary-color);
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    margin-bottom: 20px;
}

.quiz_box .content h2 {
    color: var(--primary-color);
    font-size: 48px;
    font-weight: 400;
    line-height: 45px;
}

.quiz_box .content .cta {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.quiz_box .content .btn {
    width: 46px;
    height: 46px;
}

.quiz_box .content .btn-primary {
    background: var(--primary-color);
    color: #fff;
    font-weight: bold;
    border: none;
}

.quiz_box .content .btn-outline-primary {
    border: 2px var(--primary-color) solid;
    color: var(--primary-color);
    font-weight: bold;
}

.quiz_box .content .btn-outline-primary:hover {
    background-color: var(--primary-color);
    color: #fff;
    font-weight: bold;
}

.quiz-button-box {
    margin-left: auto;
}

.quiz-button {
    padding: 10px 35px;
    background-color: #1aaccf;
    border: none;
    color: #fff;
}

/* QUIZ RESULT */
.main-result {
    background: url("/image/bg-gradient.png");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.result_box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 0px;
}

.result_box .desc {
    width: 100%;
}

.result_box .desc .title {
    width: 430px;
    height: auto;
    margin-bottom: 30px;
}

.result_box .desc .rate {
    width: 17%;
    height: auto;
    display: block;
}

.result_box .desc .text {
    width: 100%;
    margin-top: 15px;
    color: #fff;
}

.result_box .desc .text h5 {
    font-size: 32px;
    font-weight: 700;
    line-height: 39px;
    margin-bottom: 12px;
}

.result_box .desc .text p {
    font-size: 18px;
    font-weight: 300;
    line-height: 28px;
}

.result_box .visual {
    width: 100%;
    margin-top: 50px;
}

.result_box .visual .visual-img {
    /* position: absolute;
  right: 0; */
    width: 578px;
    height: 283px;
}

.result_box .control {
    text-align: center;
    color: #fff;
    padding-top: 50px;
    cursor: pointer;
}

.result_box .control p {
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 700;
    line-height: 22px;
}

.result_box .control span {
    font-size: 24px;
}

/* TYPES */
.main-types {
    height: 100vh;
}

.main-types .box-wrapper {
    display: flex;
    justify-content: center;
}

.main-types .box-wrapper .box {
    z-index: 50;
    margin-top: 5rem;
}

.types-image {
    background-repeat: no-repeat;
    background-size: cover;
    height: auto;
    width: 40rem;
    align-items: center;
    position: relative;
    left: 8rem;
}

.result-background {
    background-image: url("/image/bg-new/bg-form.png");
    background-repeat: no-repeat;
    object-fit: contain;
    padding: 4rem;
    left: 0;
    right: 0;
    bottom: 0;
    margin-left: auto;
    margin-right: auto;
    /* height: 90%; */
    width: 65rem;
}

/* ABOUT */
.main-about .divider {
    border: 1px solid #f1f1f154;
}

.main-about .text-wrapper {
    margin-top: 11%;
}

.main-about .text-wrapper .about {
    width: 614px;
    color: #ffffff;
    font-size: 18px;
    line-height: 28px;
    padding-top: 20px;
}

.main-about .text-wrapper h1 {
    font-size: 100px;
    font-weight: 700;
    line-height: 121px;
    color: #ffffff;
}

.main-about .text-wrapper .about h5 {
    font-weight: 700;
    font-size: 20px;
    line-height: 28px;
}

.main-about .text-wrapper .about p {
    font-weight: 400;
    margin: 20px 0 20px 0;
}

  .result-box {
    display: flex;
    justify-items: center;
    justify-content: center;
    align-items: center;
  }

/* Footer */
footer {
    position: absolute;
    bottom: 0;
    padding: 24px;
}

footer a {
    font-size: 18px;
    font-weight: 700;
    line-height: 22px;
    color: #ffffff;
    text-decoration: underline;
    text-transform: uppercase;
}

.body-quiz footer a {
    color: #fff;
}

/* Fading animation */
.fade {
    animation-name: fadeInUp;
    animation-duration: 1s;
    animation-fill-mode: both;
}

.fadeDown {
    animation-name: fadeInDown;
    animation-duration: 1s;
    /* animation-fill-mode: both; */
}

@keyframes fade {
    from {
        opacity: 0.4;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeInUp {
    from {
        transform: translate3d(0, 40px, 0);
    }

    to {
        transform: translate3d(0, 0, 0);
        opacity: 1;
    }
}

@keyframes fadeInDown {
    from {
        transform: translate3d(0, 0, 0);
    }

    to {
        transform: translate3d(0, 40px, 0);
        opacity: 1;
    }
}
